#region Using

using System;
using Wisej.Web;

// ;

#endregion

namespace WebApplication2.FileManager
{
    public partial class InputBox : Form
    {
        public InputBox(string message, string headingText, string defaultValue)
        {
            InitializeComponent();
            
            this.lblInstructions.Text = message;
            this.Text = headingText;
            this.txtValue.Text = defaultValue;
            this.txtValue.Focus();
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            try {
            this.DialogResult = DialogResult.OK;
            this.Close();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.ToString());
            }
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.txtValue.Text = "";
            this.DialogResult = DialogResult.Cancel;
            this.Close();
        }

        
                
    }
}
